         ; *******************
         ; ***   CIA.inc   ***
         ; *******************

; Includedatei fr CrossAss. Enthlt Register der beiden CIAs des C64. Zu
; den Registerwerten mu jeweils die Basis-Adresse von CIA 1 bzw. CIA 2
; addiert werden.

CIA_ok      .equal   0              ;Prflabel fr Include-Test

CIA1        .equal   $dc00          ;Basis-Adresse CIA 1
CIA2        .equal   $dd00          ;Basis-Adresse CIA 2
PRA         .equal   0              ;Port-Register A
PRB         .equal   1              ;Port-Register B
DDRA        .equal   2              ;Datenrichtung Register A
DDRB        .equal   3              ;Datenrichtung Register B
TALO        .equal   4              ;Timer A Low-Byte
TAHI        .equal   5              ;Timer A High-Byte
TBLO        .equal   6              ;Timer B Low-Byte
TBHI        .equal   7              ;Timer B High-Byte
TOD10       .equal   8              ;Echtzeituhr 1/10 Sek.
TODSEC      .equal   9              ;Echtzeituhr Sekunden
TODMIN      .equal   10             ;Echtzeituhr Minuten
TODHR       .equal   11             ;Echtzeituhr Stunden
SDR         .equal   12             ;Serial Data Register
ICR         .equal   13             ;Interrupt Control Register
CRA         .equal   14             ;Control Register A
CRB         .equal   15             ;Control Register B
