         ; *******************
         ; ***   SID.inc   ***
         ; *******************

; Includedatei fr CrossAss. Enthlt Register des SID.
; Vielen Dank an Christian Frankl fr die Hilfe !
; Register 0-24 : write only
; Register 25-28 : read only

SID_ok      .equal   0              ;Prflabel fr Include-Test

SID         .equal   54272          ;Basisadresse
FreqLo1     .equal   SID+0          ;Frequenz Low-Byte #1
FreqHi1     .equal   SID+1          ;Frequenz High-Byte #1
PulsLo1     .equal   SID+2          ;Pulsbreite Low-Byte #1
PulsHi1     .equal   SID+3          ;Pulsbreite High-Byte #1
Osc1        .equal   SID+4          ;Oszillator #1
AttDec1     .equal   SID+5          ;Attack/Decay #1
SusRel1     .equal   SID+6          ;Sustain/Release #1

FreqLo2     .equal   SID+7          ;Frequenz Low-Byte #2
FreqHi2     .equal   SID+8          ;Frequenz High-Byte #2
PulsLo2     .equal   SID+9          ;Pulsbreite Low-Byte #2
PulsHi2     .equal   SID+10         ;Pulsbreite High-Byte #2
Osc2        .equal   SID+11         ;Oszillator #2
AttDec2     .equal   SID+12         ;Attack/Decay #2
SusRel2     .equal   SID+13         ;Sustain/Release #2

FreqLo3     .equal   SID+14         ;Frequenz Low-Byte #3
FreqHi3     .equal   SID+15         ;Frequenz High-Byte #3
PulsLo3     .equal   SID+16         ;Pulsbreite Low-Byte #3
PulsHi3     .equal   SID+17         ;Pulsbreite High-Byte #3
Osc3        .equal   SID+18         ;Oszillator #3
AttDec3     .equal   SID+19         ;Attack/Decay #3
SusRel3     .equal   SID+20         ;Sustain/Release #3

FiltLo      .equal   SID+21         ;Filterfrequenz Low-Byte
FiltHi      .equal   SID+22         ;Filterfrequenz High-Byte
ResFilt     .equal   SID+23         ;Resonanz/gefilterte Stimme
FiltVol     .equal   SID+24         ;Filterart/Lautstrke
PotX        .equal   SID+25         ;A/D-Wandler 1
PotY        .equal   SID+26         ;A/D-Wandler 2
Wave3       .equal   SID+27         ;momentaner Zustand Oszillator 3
Env3        .equal   SID+28         ;momentaner Zustand Hllkurve 3
