         ; *******************
         ; ***   VIC.inc   ***
         ; *******************

; Includedatei fr CrossAss. Enthlt VIC-Register

VIC_ok      .equal  0              ;Prflabel fr Include-Test

VIC         .equal  53248          ;VIC-Basisadresse
SpriteX0    .equal  VIC            ;X-Koordinate Sprite 0
SpriteY0    .equal  VIC+1          ;Y-Koordinate Sprite 0
SpriteX1    .equal  VIC+2          ;X-Koordinate Sprite 1
SpriteY1    .equal  VIC+3          ;Y-Koordinate Sprite 1
SpriteX2    .equal  VIC+4          ;X-Koordinate Sprite 2
SpriteY2    .equal  VIC+5          ;Y-Koordinate Sprite 2
SpriteX3    .equal  VIC+6          ;X-Koordinate Sprite 3
SpriteY3    .equal  VIC+7          ;Y-Koordinate Sprite 3
SpriteX4    .equal  VIC+8          ;X-Koordinate Sprite 4
SpriteY4    .equal  VIC+9          ;Y-Koordinate Sprite 4
SpriteX5    .equal  VIC+10         ;X-Koordinate Sprite 5
SpriteY5    .equal  VIC+11         ;Y-Koordinate Sprite 5
SpriteX6    .equal  VIC+12         ;X-Koordinate Sprite 6
SpriteY6    .equal  VIC+13         ;Y-Koordinate Sprite 6
SpriteX7    .equal  VIC+14         ;X-Koordinate Sprite 7
SpriteY7    .equal  VIC+15         ;Y-Koordinate Sprite 7
MSBs        .equal  VIC+16         ;Bits 9 der X-Koordinaten
CR1         .equal  VIC+17         ;Steuerregister 1
RasIRQ      .equal  VIC+18         ;Rasterzeilen-IRQ
LightX      .equal  VIC+19         ;Lightpen-X-Koordinate
LightY      .equal  VIC+20         ;Lightpen-Y-Koordinate
Activate    .equal  VIC+21         ;Sprite ein/aus
CR2         .equal  VIC+22         ;Steuerregister 2
ZoomY       .equal  VIC+23         ;Spritevergrerung Y
Bases       .equal  VIC+24         ;VIC-Basisadressen
IRR         .equal  VIC+25         ;Interrupt Request
IMR         .equal  VIC+26         ;Interrupt Mask
Priority    .equal  VIC+27         ;Sprite-Prioritten
SpMulti     .equal  VIC+28         ;Multicolormodus
ZoomX       .equal  VIC+29         ;Spritevergrerung X
SpSpColl    .equal  VIC+30         ;Sprite-Sprite-Kollision
SpBaColl    .equal  VIC+31         ;Sprite-Hintergrund-Kollision
Border      .equal  VIC+32         ;Rahmenfarbe
Bkground0   .equal  VIC+33         ;Hintergrundfarbe 0
Bkground1   .equal  VIC+34         ;Hintergrundfarbe 1
Bkground2   .equal  VIC+35         ;Hintergrundfarbe 2
Bkground3   .equal  VIC+36         ;Hintergrundfarbe 3
Multicol0   .equal  VIC+37         ;Sprite-Multicolor 0
Multicol1   .equal  VIC+38         ;Sprite-Multicolor 1
SpColor0    .equal  VIC+39         ;Farbe Sprite 0
SpColor1    .equal  VIC+40         ;Farbe Sprite 1
SpColor2    .equal  VIC+41         ;Farbe Sprite 2
SpColor3    .equal  VIC+42         ;Farbe Sprite 3
SpColor4    .equal  VIC+43         ;Farbe Sprite 4
SpColor5    .equal  VIC+44         ;Farbe Sprite 5
SpColor6    .equal  VIC+45         ;Farbe Sprite 6
SpColor7    .equal  VIC+46         ;Farbe Sprite 7

;Nur fr den VIC des Commodore 128:

KCR         .equal  VIC+47         ;Keyboard-Control-Register
Speed       .equal  VIC+48         ;Taktauswahl 1/2 MHz
